Skip to main content
GET
List repo filter options

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

provider
enum<string> | null

Scope to repos with this VCS provider.

Available options:
github,
gitlab,
bitbucket,
bitbucket_cloud,
bitbucket_dc,
azure-devops,
azure_devops_services,
azure_devops_server,
circleci,
git,
subversion
vcs_instance
string | null

Scope to repos with this VCS instance/host.

namespace
string | null

Scope to repos nested under this '/'-separated namespace prefix, e.g. platform/backend. The returned namespace_values are the distinct values one level below this prefix.

tag
string[] | null

Scope to repos matching this tag key or key:value. Can be repeated.

Response

Successful Response

providers
enum<string>[]
required
Available options:
github,
gitlab,
bitbucket,
bitbucket_cloud,
bitbucket_dc,
azure-devops,
azure_devops_services,
azure_devops_server,
circleci,
git,
subversion
vcs_instances
string[]
required
namespace_values
string[]
required
Last modified on July 21, 2026